Subject: bug#14603: 24.3.50; Error while bootstrapping Emacs on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jun 2013 21:07:09 +0300

> Date: Thu, 13 Jun 2013 20:50:50 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Glenn Morris <[email-masked]>
> > Cc: Dmitry Gutov <[email-masked]>,  [email-masked]
> > Date: Thu, 13 Jun 2013 12:15:00 -0400
> > 
> > Eli Zaretskii wrote:
> > 
> > >> No arguments, just ./configure
> > >
> > > That will never work. 
> > 
> > Can you make it detect someone has done that and throw an error?
> 
> I don't know what to detect.  Looking at $0 is not going to fit the
> bill, because it is quite alright to set CONFIG_SITE manually before
> invoking ./configure.  You will see that the top-level Makefile.in
> does precisely that, when it finds it needs to re-run configure.
> Moreover, someone might even copy mingw-cfg.site to
> $prefix/share/config.site, and I don't think they deserve to be
> punished by throwing an error.  So testing that "$CONFIG_SITE" is
> non-empty is also sub-optimal if not outright wrong.

I could perhaps output a warning if "$CONFIG_SITE" is found empty, but
will people pay attention?  After all, this warning:

  configure: WARNING: libacl development library was not found or not usable.
  configure: WARNING: emacs will be built without ACL support.

didn't have any effect on Dmitry.